function CheckForm2(thisform) {

	focus_field = "";
	warning = "";

	warning=checkField(thisform.email_address,"Email",warning);
	if (warning != "") {
		warning = "Please enter the following fields to continue:\n- "+warning+"";
		alert(warning);
		if (focus_field != "")
			focus_field.focus();
		return false;
	}
	if (thisform.email_address != null) { 
		if (thisform.email_address.value != "") {  
			if (validEmail(thisform.email_address.value) == false) {
				//alert("Please enter a valid email address.");
				thisform.email_address.focus();
				return false;
			}
		}
	}
	if ((thisform.zip != null) && (thisform.country != null)) { 
		if (checkCountryZip(thisform.zip,thisform.country) == false) {
			//alert("Please enter a valid zip code");
			thisform.zip.focus();
			return false;
		}
	}

	thisform.action = "https://www.unicefusa.org/site/apps/ka/ct/contactus.asp?c=duLRI8O0H&b=36041"; 
	return true;
}